org.modeshape.jcr

## Class JcrRepository.QueryLanguage

- java.lang.Object
- - org.modeshape.jcr.JcrRepository.QueryLanguage

- Enclosing class:
    JcrRepository

      public static final class JcrRepository.QueryLanguage
      extends Object

  The set of supported query language string constants.
  See Also:
    `QueryManager.getSupportedQueryLanguages()`, `QueryManager.createQuery(String, String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JCR_JQOM` The enhanced Query Object Model language defined by the JCR 2.0 specification.
    `static String` | `JCR_SQL` The SQL dialect that is based upon an enhanced version of the JCR-SQL query language defined by the JCR 1.0.1 specification.
    `static String` | `JCR_SQL2` The SQL dialect that is based upon an enhanced version of the JCR-SQL2 query language defined by the JCR 2.0 specification.
    `static String` | `SEARCH` The full-text search language defined as part of the abstract query model, in Section 6.7.19 of the JCR 2.0 specification.
    `static String` | `XPATH` The standard JCR 1.0 XPath query language.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrRepository.QueryLanguage()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XPATH

          public static final String XPATH

      The standard JCR 1.0 XPath query language.
      See Also:
        Constant Field Values

    - #### JCR_SQL

          public static final String JCR_SQL

      The SQL dialect that is based upon an enhanced version of the JCR-SQL query language defined by the JCR 1.0.1 specification.
      See Also:
        Constant Field Values

    - #### JCR_SQL2

          public static final String JCR_SQL2

      The SQL dialect that is based upon an enhanced version of the JCR-SQL2 query language defined by the JCR 2.0 specification.
      See Also:
        Constant Field Values

    - #### JCR_JQOM

          public static final String JCR_JQOM

      The enhanced Query Object Model language defined by the JCR 2.0 specification.
      See Also:
        Constant Field Values

    - #### SEARCH

          public static final String SEARCH

      The full-text search language defined as part of the abstract query model, in Section 6.7.19 of the JCR 2.0 specification.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JcrRepository.QueryLanguage

          public JcrRepository.QueryLanguage()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.